ReferencesOpenapiOrigination
List deals
List origination deals in the specified organisation and workspace, with optional search, phase, and pagination filters.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Path Parameters
orgId*string
workspaceId*string
Query Parameters
search?string
dealPhase?string
page?number
Range
1 <= valueDefault
1limit?number
Range
1 <= value <= 100Default
25Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organisation/string/workspace/string/origination/deal"{ "items": [ { "id": 0, "organisationId": 0, "workspaceId": 0, "referenceId": "string", "createdAt": "string", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "lastUpdatedAt": "string", "lastUpdatedBy": "9eca4444-bb39-4c34-8088-e204f5c15d34", "deletedAt": "string", "name": "string", "description": "string", "dealPhase": "new", "dealSource": "string", "priority": "low", "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2", "followUpDate": "string", "expectedClosureDate": "string", "contactId": "string", "employerId": "string", "supportingDocuments": [ { "type": "final_quote", "documentId": "string" } ], "startingQuotePayrollCycle": "string", "startingQuoteGrossAnnualSalary": "string", "insuranceStatus": "string", "employerApprovalStatus": "string", "employerName": "string", "procurementStatus": "string", "checklist": [ { "checked": false, "value": "quote_proceed_with_settlement" } ], "exportDates": { "workspace": "string", "firstFinancePayment": "2019-08-24", "lastFinancePayment": "2019-08-24", "firstPayrollDeduction": "string", "secondPayrollDeduction": "string", "lastPayrollDeduction": "string", "settlement": "2019-08-24", "management": "2019-08-24" }, "exported": false } ], "pagination": { "total": 0, "page": 0, "limit": 0, "totalPages": 0 }}
